org.apache.flume.channel.file

## Class CheckpointRebuilder

- java.lang.Object
- - org.apache.flume.channel.file.CheckpointRebuilder

-     public class CheckpointRebuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckpointRebuilder(List<File> logFiles, org.apache.flume.channel.file.FlumeEventQueue queue, boolean fsyncPerTransaction)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `boolean` | `rebuild()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckpointRebuilder

          public CheckpointRebuilder(List<File> logFiles,
                             org.apache.flume.channel.file.FlumeEventQueue queue,
                             boolean fsyncPerTransaction)
                              throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### rebuild

          public boolean rebuild()
                          throws IOException,
                                 Exception

      Throws:
        `IOException`
        `Exception`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.